Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evals

Delete an evaluation run

DELETE /openai/v1/evals/{eval_id}/runs/{run_id}

Deletes an evaluation run and its associated results.

This operation cannot be undone.

Path parameters

eval_id string required

The identifier of the evaluation that owns the run.

run_id string required

The identifier of the run to delete.

Responses

The request has succeeded.

Body

Content-Type: application/json
object enum

The object type. Always eval.deleted when provided.

eval.deleted
run_id string

The identifier of the deleted evaluation run.

deleted boolean

Whether the evaluation run was deleted.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

curl https://api.openai.com/v1/evals/eval_123abc/runs/evalrun_abc456 \
  -X DELETE \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
run = client.evals.runs.delete(
    run_id="run_id",
    eval_id="eval_id",
)
print(run.run_id)
import OpenAI from "openai";

const openai = new OpenAI();

const deleted = await openai.evals.runs.delete(
  "eval_123abc",
  "evalrun_abc456"
);
console.log(deleted);
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const run = await client.evals.runs.delete('run_id', { eval_id: 'eval_id' });

console.log(run.run_id);
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.evals.runs.RunDeleteParams;
import com.openai.models.evals.runs.RunDeleteResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        RunDeleteParams params = RunDeleteParams.builder()
            .evalId("eval_id")
            .runId("run_id")
            .build();
        RunDeleteResponse run = client.evals().runs().delete(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

run = openai.evals.runs.delete("run_id", eval_id: "eval_id")

puts(run)

Response

{
  "object": "eval.run.deleted",
  "deleted": true,
  "run_id": "evalrun_abc456"
}
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026